The Wiert Corner – irregular stream of stuff

Jeroen W. Pluimers on .NET, C#, Delphi, databases, and personal interests

  • My badges

  • Twitter Updates

  • My Flickr Stream

  • Pages

  • All categories

  • Enter your email address to subscribe to this blog and receive notifications of new posts by email.

    Join 2,154 other followers

Ubuntu: Fixing the myserious “Failed to stop apt-daily.timer: Connection timed out”

Posted by jpluimers on 2018/05/14

Ubuntu is the only Linux system I had that – after installing a text-mode console setup – gets itself in the below state with only running apt update and apt-get upgrade.

Preparing to unpack .../archives/apt_1.2.19_armhf.deb ...
Failed to stop apt-daily.timer: Connection timed out
See system logs and 'systemctl status apt-daily.timer' for details.
Failed to get load state of apt-daily.timer: Connection timed out
dpkg: warning: subprocess old pre-removal script returned error exit status 1

I could not find meaningful search results for the above thing, nor did systemctl status apt-daily.timer return anything better than

Failed to get properties: Failed to activate service 'org.freedesktop.systemd1': timed out

Heck, it doesn’t even reboot any more (no helpful search results either):

# reboot
Failed to start reboot.target: Failed to activate service 'org.freedesktop.systemd1': timed out
See system logs and 'systemctl status reboot.target' for details.
Failed to open /dev/initctl: No such device or address
Failed to talk to init daemon.

Nor did systemctl status reboot.target return anything better than

Failed to get properties: Failed to activate service 'org.freedesktop.systemd1': timed out

From the ubuntu-16.04-minimal-odroid-c1-20160817.img.xz base system, it only had these extra packages installed:

  • etckeeper
  • tmux
  • speedtest-cli
  • sendemail

Workaround found, but still unsure why this happened in the first place

Despite the workaround below, I still don’t know why I got into this situation and this leaves me with a very uncomfortable feeling.

Too bad some systems (like ODroid) only have Ubuntu based distributions as sorting out stuff like above took me way too much effort.

Workaround

So I went digging, especially since both error messages are the same:

Failed to get properties: Failed to activate service 'org.freedesktop.systemd1': timed out

No freedesktop service was installed nor running:

# service --status-all

[ - ] bootmisc.sh
[ - ] checkfs.sh
[ - ] checkroot-bootclean.sh
[ - ] checkroot.sh
[ - ] console-setup
[ - ] cron
[ - ] dbus
[ - ] hostname.sh
[ - ] hwclock.sh
[ - ] keyboard-setup
[ - ] killprocs
[ - ] kmod
[ - ] mountall-bootclean.sh
[ - ] mountall.sh
[ - ] mountdevsubfs.sh
[ - ] mountkernfs.sh
[ - ] mountnfs-bootclean.sh
[ - ] mountnfs.sh
[ - ] networking
[ - ] ondemand
[ - ] postfix
[ - ] procps
[ - ] rc.local
[ - ] resolvconf
[ - ] rsync
[ - ] rsyslog
[ - ] sendsigs
[ - ] ssh
[ - ] udev
[ - ] umountfs
[ - ] umountnfs.sh
[ - ] umountroot
[ - ] unattended-upgrades
[ - ] urandom

However, there was some freedesktop though I never asked for it, as a simple find / | grep freedesktop shows:

/lib/systemd/system/dbus-org.freedesktop.locale1.service
/lib/systemd/system/dbus-org.freedesktop.hostname1.service
/lib/systemd/system/dbus-org.freedesktop.login1.service
/lib/systemd/system/dbus-org.freedesktop.network1.service
/lib/systemd/system/dbus-org.freedesktop.resolve1.service
/lib/systemd/system/dbus-org.freedesktop.timedate1.service
/usr/share/mime/packages/freedesktop.org.xml
/usr/share/dbus-1/services/org.freedesktop.systemd1.service
/usr/share/dbus-1/system-services/org.freedesktop.network1.service
/usr/share/dbus-1/system-services/org.freedesktop.hostname1.service
/usr/share/dbus-1/system-services/org.freedesktop.login1.service
/usr/share/dbus-1/system-services/org.freedesktop.systemd1.service
/usr/share/dbus-1/system-services/org.freedesktop.resolve1.service
/usr/share/dbus-1/system-services/org.freedesktop.locale1.service
/usr/share/dbus-1/system-services/org.freedesktop.timedate1.service
/usr/share/polkit-1/actions/org.freedesktop.login1.policy
/usr/share/polkit-1/actions/org.freedesktop.locale1.policy
/usr/share/polkit-1/actions/org.freedesktop.timedate1.policy
/usr/share/polkit-1/actions/org.freedesktop.systemd1.policy
/usr/share/polkit-1/actions/org.freedesktop.hostname1.policy
/etc/dbus-1/system.d/org.freedesktop.locale1.conf
/etc/dbus-1/system.d/org.freedesktop.login1.conf
/etc/dbus-1/system.d/org.freedesktop.timedate1.conf
/etc/dbus-1/system.d/org.freedesktop.network1.conf
/etc/dbus-1/system.d/org.freedesktop.resolve1.conf
/etc/dbus-1/system.d/org.freedesktop.hostname1.conf
/etc/dbus-1/system.d/org.freedesktop.systemd1.conf

The org.freedesktop.systemd1.conf is there from the beginning of the etckeeper history and exactly matches https://github.com/systemd/systemd/blob/master/src/timedate/org.freedesktop.systemd1.conf.

I finally went to more drastic measures:

# systemctl reboot --force
Failed to execute operation: Failed to activate service 'org.freedesktop.systemd1': timed out
# systemctl reboot --force --force
Rebooting.

This worked as per [WayBacksystemctl:

-f, --force

When used with enable, overwrite any existing conflicting symlinks.

When used with edit, create all of the specified units which do not already exist.

When used with halt, poweroff, reboot or kexec, execute the selected operation without shutting down all units. However, all processes will be killed forcibly and all file systems are unmounted or remounted read-only. This is hence a drastic but relatively safe option to request an immediate reboot. If --force is specified twice for these operations (with the exception of kexec), they will be executed immediately, without terminating any processes or unmounting any file systems.

Warning: specifying --force twice with any of these operations might result in data loss. Note that when --force is specified twice the selected operation is executed by systemctl itself, and the system manager is not contacted. This means the command should succeed even when the system manager hangs or crashed.

Now I could apt-get update/upgrade, but after that, a reboot dumped core:

# reboot

Broadcast message from systemd-journald@odroidC1 (Sat 2017-03-04 21:32:05 UTC):                                                                                                                                                    "odroidC1" 21:31 04-Mar-17

systemd[1]: Caught , dumped core as pid 11600.


Broadcast message from systemd-journald@odroidC1 (Sat 2017-03-04 21:32:05 UTC):

systemd[1]: Freezing execution.

Broadcast message from systemd-journald@odroidC1 (Sat 2017-03-04 21:32:05 UTC):

systemd[1]: Caught , dumped core as pid 11600.

Warning! D-Bus connection terminated.
Failed to wait for response: Connection reset by peer
Failed to open /dev/initctl: No such device or address
Failed to talk to init daemon.

Broadcast message from systemd-journald@odroidC1 (Sat 2017-03-04 21:32:05 UTC):

systemd[1]: Freezing execution.

root@odroidC1:~# reboot
Failed to start reboot.target: Failed to activate service 'org.freedesktop.systemd1': timed out
See system logs and 'systemctl status reboot.target' for details.
Failed to open /dev/initctl: No such device or address
Failed to talk to init daemon.
root@odroidC1:~# systemctl reboot --force --forpacket_write_wait: Connection to 192.168.71.20 port 22: Broken pipe

–jeroen

Not many installed packages:

adduser/xenial,now 3.113+nmu3ubuntu4 all [installed]
apt/xenial-security,now 1.2.15ubuntu0.2 armhf [installed,upgradable to: 1.2.19]
apt-utils/xenial-security,now 1.2.15ubuntu0.2 armhf [installed,upgradable to: 1.2.19]
base-files/xenial-updates,now 9.4ubuntu4.4 armhf [installed]
base-passwd/xenial,now 3.5.39 armhf [installed]
bash/xenial-updates,now 4.3-14ubuntu1.1 armhf [installed]
binutils/xenial-updates,xenial-security,now 2.26.1-1ubuntu1~16.04.3 armhf [installed]
bootini/now 20161210-31 armhf [installed,upgradable to: 20170227-34]
bsdmainutils/xenial,now 9.0.6ubuntu3 armhf [installed,automatic]
bsdutils/xenial-updates,now 1:2.27.1-6ubuntu3.2 armhf [installed]
build-essential/xenial,now 12.1ubuntu2 armhf [installed]
busybox-initramfs/xenial,now 1:1.22.0-15ubuntu1 armhf [installed,automatic]
bzip2/xenial,now 1.0.6-8 armhf [installed]
ca-certificates/xenial,now 20160104ubuntu1 all [installed]
console-setup/now 1.108ubuntu15.2 all [installed,upgradable to: 1.108ubuntu15.3]
console-setup-linux/now 1.108ubuntu15.2 all [installed,upgradable to: 1.108ubuntu15.3]
coreutils/xenial,now 8.25-2ubuntu2 armhf [installed]
cpio/xenial,now 2.11+dfsg-5ubuntu1 armhf [installed,automatic]
cpp/xenial,now 4:5.3.1-1ubuntu1 armhf [installed]
cpp-5/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
cron/xenial,now 3.0pl1-128ubuntu2 armhf [installed,automatic]
curl/xenial-updates,xenial-security,now 7.47.0-1ubuntu2.2 armhf [installed]
dash/xenial,now 0.5.8-2.1ubuntu2 armhf [installed]
dbus/xenial-security,now 1.10.6-1ubuntu3.1 armhf [installed,upgradable to: 1.10.6-1ubuntu3.3]
debconf/xenial,now 1.5.58ubuntu1 all [installed]
debconf-i18n/xenial,now 1.5.58ubuntu1 all [installed,automatic]
debianutils/xenial,now 4.7 armhf [installed]
dh-python/xenial-updates,now 2.20151103ubuntu1.1 all [installed,automatic]
diffutils/xenial,now 1:3.3-3 armhf [installed]
distro-info-data/xenial-updates,now 0.28ubuntu0.2 all [installed,automatic]
dpkg/xenial-updates,now 1.18.4ubuntu1.1 armhf [installed]
dpkg-dev/xenial-updates,now 1.18.4ubuntu1.1 all [installed]
e2fslibs/xenial,now 1.42.13-1ubuntu1 armhf [installed]
e2fsprogs/xenial,now 1.42.13-1ubuntu1 armhf [installed]
eject/xenial,now 2.1.5+deb1+cvs20081104-13.1 armhf [installed,automatic]
etckeeper/xenial,now 1.18.2-1ubuntu1 all [installed]
fbset/xenial,now 2.1-28 armhf [installed,automatic]
file/xenial,now 1:5.25-2ubuntu1 armhf [installed,automatic]
findutils/xenial,now 4.6.0+git+20160126-2 armhf [installed]
g++/xenial,now 4:5.3.1-1ubuntu1 armhf [installed]
g++-5/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
gcc/xenial,now 4:5.3.1-1ubuntu1 armhf [installed]
gcc-5/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
gcc-5-base/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
gcc-6-base/xenial,now 6.0.1-0ubuntu1 armhf [installed]
gir1.2-glib-2.0/xenial,now 1.46.0-3ubuntu1 armhf [installed,automatic]
git/xenial,now 1:2.7.4-0ubuntu1 armhf [installed,automatic]
git-man/xenial,now 1:2.7.4-0ubuntu1 all [installed,automatic]
gnupg/xenial-updates,xenial-security,now 1.4.20-1ubuntu3.1 armhf [installed]
gpgv/xenial-updates,xenial-security,now 1.4.20-1ubuntu3.1 armhf [installed]
grep/xenial-updates,now 2.25-1~16.04.1 armhf [installed]
groff-base/xenial,now 1.22.3-7 armhf [installed,automatic]
gzip/xenial,now 1.6-4ubuntu1 armhf [installed]
hostname/xenial,now 3.16ubuntu2 armhf [installed]
ifupdown/xenial-updates,now 0.8.10ubuntu1.2 armhf [installed,automatic]
init/xenial-updates,now 1.29ubuntu3 armhf [installed]
init-system-helpers/xenial-updates,now 1.29ubuntu3 all [installed]
initramfs-tools/now 0.122ubuntu8.7 all [installed,upgradable to: 0.122ubuntu8.8]
initramfs-tools-bin/now 0.122ubuntu8.7 armhf [installed,upgradable to: 0.122ubuntu8.8]
initramfs-tools-core/now 0.122ubuntu8.7 all [installed,upgradable to: 0.122ubuntu8.8]
initscripts/xenial,now 2.88dsf-59.3ubuntu2 armhf [installed]
insserv/xenial,now 1.14.0-5ubuntu3 armhf [installed]
iproute2/xenial,now 4.3.0-1ubuntu3 armhf [installed,automatic]
iputils-ping/xenial,now 3:20121221-5ubuntu2 armhf [installed,automatic]
isc-dhcp-client/xenial-updates,now 4.3.3-5ubuntu12.6 armhf [installed]
isc-dhcp-common/xenial-updates,now 4.3.3-5ubuntu12.6 armhf [installed,automatic]
iso-codes/xenial,now 3.65-1 all [installed,automatic]
joe/xenial,now 4.1-2 armhf [installed]
kbd/xenial-updates,now 1.15.5-1ubuntu5 armhf [installed,automatic]
kernel-common/xenial,now 13.018 all [installed,automatic]
keyboard-configuration/now 1.108ubuntu15.2 all [installed,upgradable to: 1.108ubuntu15.3]
klibc-utils/now 2.0.4-8ubuntu1.16.04.2 armhf [installed,upgradable to: 2.0.4-8ubuntu1.16.04.3]
kmod/xenial,now 22-1ubuntu4 armhf [installed,automatic]
krb5-locales/xenial,now 1.13.2+dfsg-5 all [installed,upgradable to: 1.13.2+dfsg-5ubuntu2]
less/xenial-updates,now 481-2.1ubuntu0.1 armhf [installed,automatic]
libacl1/xenial,now 2.2.52-3 armhf [installed]
libapparmor1/xenial-updates,now 2.10.95-0ubuntu2.5 armhf [installed]
libapt-inst2.0/xenial-updates,now 1.2.19 armhf [installed,automatic]
libapt-pkg5.0/xenial-updates,now 1.2.19 armhf [installed]
libasan2/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libasn1-8-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libatm1/xenial,now 1:2.5.1-1.5 armhf [installed,automatic]
libatomic1/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libattr1/xenial,now 1:2.4.47-2 armhf [installed]
libaudit-common/xenial,now 1:2.4.5-1ubuntu2 all [installed]
libaudit1/xenial,now 1:2.4.5-1ubuntu2 armhf [installed]
libblkid1/now 2.27.1-6ubuntu3.1 armhf [installed,upgradable to: 2.27.1-6ubuntu3.2]
libbsd0/xenial,now 0.8.2-1 armhf [installed,automatic]
libbz2-1.0/xenial,now 1.0.6-8 armhf [installed]
libc-bin/xenial-updates,now 2.23-0ubuntu5 armhf [installed]
libc-dev-bin/xenial-updates,now 2.23-0ubuntu5 armhf [installed]
libc6/xenial-updates,now 2.23-0ubuntu5 armhf [installed]
libc6-dev/xenial-updates,now 2.23-0ubuntu5 armhf [installed]
libcap-ng0/xenial,now 0.7.7-1 armhf [installed,automatic]
libcap2/xenial,now 1:2.24-12 armhf [installed]
libcap2-bin/xenial,now 1:2.24-12 armhf [installed]
libcc1-0/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libcomerr2/xenial,now 1.42.13-1ubuntu1 armhf [installed]
libcryptsetup4/xenial,now 2:1.6.6-5ubuntu2 armhf [installed]
libcurl3-gnutls/xenial-updates,xenial-security,now 7.47.0-1ubuntu2.2 armhf [installed,automatic]
libdb5.3/xenial,now 5.3.28-11 armhf [installed]
libdbus-1-3/xenial-security,now 1.10.6-1ubuntu3.1 armhf [installed,upgradable to: 1.10.6-1ubuntu3.3]
libdbus-glib-1-2/xenial,now 0.106-1 armhf [installed,automatic]
libdebconfclient0/xenial,now 0.198ubuntu1 armhf [installed]
libdevmapper1.02.1/xenial,now 2:1.02.110-1ubuntu10 armhf [installed]
libdns-export162/now 1:9.10.3.dfsg.P4-8ubuntu1.4 armhf [installed,upgradable to: 1:9.10.3.dfsg.P4-8ubuntu1.5]
libdpkg-perl/xenial-updates,now 1.18.4ubuntu1.1 all [installed]
libedit2/xenial,now 3.1-20150325-1ubuntu2 armhf [installed,automatic]
liberror-perl/xenial,now 0.17-1.2 all [installed,automatic]
libestr0/xenial,now 0.1.10-1 armhf [installed,automatic]
libevent-2.0-5/xenial,now 2.0.21-stable-2 armhf [installed,automatic]
libexpat1/xenial-updates,xenial-security,now 2.1.0-7ubuntu0.16.04.2 armhf [installed,automatic]
libfdisk1/now 2.27.1-6ubuntu3.1 armhf [installed,upgradable to: 2.27.1-6ubuntu3.2]
libffi6/xenial,now 3.2.1-4 armhf [installed,automatic]
libfribidi0/xenial,now 0.19.7-1 armhf [installed,automatic]
libgcc-5-dev/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libgcc1/xenial,now 1:6.0.1-0ubuntu1 armhf [installed]
libgcrypt20/xenial-updates,xenial-security,now 1.6.5-2ubuntu0.2 armhf [installed]
libgdbm3/xenial,now 1.8.3-13.1 armhf [installed]
libgirepository-1.0-1/xenial,now 1.46.0-3ubuntu1 armhf [installed,automatic]
libglib2.0-0/now 2.48.1-1~ubuntu16.04.1 armhf [installed,upgradable to: 2.48.2-0ubuntu1]
libglib2.0-data/now 2.48.1-1~ubuntu16.04.1 all [installed,upgradable to: 2.48.2-0ubuntu1]
libgmp10/xenial,now 2:6.1.0+dfsg-2 armhf [installed]
libgnutls-openssl27/now 3.4.10-4ubuntu1.1 armhf [installed,upgradable to: 3.4.10-4ubuntu1.2]
libgnutls30/now 3.4.10-4ubuntu1.1 armhf [installed,upgradable to: 3.4.10-4ubuntu1.2]
libgomp1/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libgpg-error0/xenial,now 1.21-2ubuntu1 armhf [installed]
libgssapi-krb5-2/xenial,now 1.13.2+dfsg-5 armhf [installed,upgradable to: 1.13.2+dfsg-5ubuntu2]
libgssapi3-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libhcrypto4-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libheimbase1-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libheimntlm0-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libhogweed4/xenial,now 3.2-1 armhf [installed,upgradable to: 3.2-1ubuntu0.16.04.1]
libhx509-5-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libicu55/xenial,now 55.1-7 armhf [installed,automatic]
libidn11/xenial-updates,xenial-security,now 1.32-3ubuntu1.1 armhf [installed,automatic]
libio-socket-inet6-perl/xenial,now 2.72-2 all [installed,automatic]
libisc-export160/now 1:9.10.3.dfsg.P4-8ubuntu1.4 armhf [installed,upgradable to: 1:9.10.3.dfsg.P4-8ubuntu1.5]
libisl15/xenial,now 0.16.1-1 armhf [installed]
libjson-c2/xenial,now 0.11-4ubuntu2 armhf [installed,automatic]
libk5crypto3/xenial,now 1.13.2+dfsg-5 armhf [installed,upgradable to: 1.13.2+dfsg-5ubuntu2]
libkeyutils1/xenial,now 1.5.9-8ubuntu1 armhf [installed,automatic]
libklibc/now 2.0.4-8ubuntu1.16.04.2 armhf [installed,upgradable to: 2.0.4-8ubuntu1.16.04.3]
libkmod2/xenial,now 22-1ubuntu4 armhf [installed]
libkrb5-26-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libkrb5-3/xenial,now 1.13.2+dfsg-5 armhf [installed,upgradable to: 1.13.2+dfsg-5ubuntu2]
libkrb5support0/xenial,now 1.13.2+dfsg-5 armhf [installed,upgradable to: 1.13.2+dfsg-5ubuntu2]
libldap-2.4-2/xenial-updates,now 2.4.42+dfsg-2ubuntu3.1 armhf [installed,automatic]
liblocale-gettext-perl/xenial,now 1.07-1build1 armhf [installed,automatic]
liblz4-1/xenial,now 0.0~r131-2ubuntu2 armhf [installed]
liblzma5/xenial,now 5.1.1alpha+20120614-2ubuntu2 armhf [installed]
libmagic1/xenial,now 1:5.25-2ubuntu1 armhf [installed,automatic]
libmnl0/xenial,now 1.0.3-5 armhf [installed,automatic]
libmount1/now 2.27.1-6ubuntu3.1 armhf [installed,upgradable to: 2.27.1-6ubuntu3.2]
libmpc3/xenial,now 1.0.3-1 armhf [installed]
libmpdec2/xenial,now 2.4.2-1 armhf [installed,automatic]
libmpfr4/xenial,now 3.1.4-1 armhf [installed]
libncurses5/xenial,now 6.0+20160213-1ubuntu1 armhf [installed]
libncursesw5/xenial,now 6.0+20160213-1ubuntu1 armhf [installed]
libnettle6/xenial,now 3.2-1 armhf [installed,upgradable to: 3.2-1ubuntu0.16.04.1]
libnewt0.52/xenial,now 0.52.18-1ubuntu2 armhf [installed,automatic]
libnih1/xenial,now 1.0.3-4.3ubuntu1 armhf [installed,automatic]
libp11-kit0/xenial-updates,now 0.23.2-5~ubuntu16.04.1 armhf [installed,automatic]
libpam-modules/xenial,now 1.1.8-3.2ubuntu2 armhf [installed]
libpam-modules-bin/xenial,now 1.1.8-3.2ubuntu2 armhf [installed]
libpam-runtime/xenial,now 1.1.8-3.2ubuntu2 all [installed]
libpam0g/xenial,now 1.1.8-3.2ubuntu2 armhf [installed]
libpcre3/xenial,now 2:8.38-3.1 armhf [installed]
libperl5.22/xenial,now 5.22.1-9 armhf [installed]
libpipeline1/xenial,now 1.4.1-2 armhf [installed,automatic]
libpng12-0/xenial,now 1.2.54-1ubuntu1 armhf [installed,automatic]
libpopt0/xenial,now 1.16-10 armhf [installed,automatic]
libprocps4/xenial-updates,now 2:3.3.10-4ubuntu2.3 armhf [installed]
libpython-stdlib/xenial,now 2.7.11-1 armhf [installed,automatic]
libpython2.7-minimal/xenial-updates,xenial-security,now 2.7.12-1ubuntu0~16.04.1 armhf [installed,automatic]
libpython2.7-stdlib/xenial-updates,xenial-security,now 2.7.12-1ubuntu0~16.04.1 armhf [installed,automatic]
libpython3-stdlib/xenial,now 3.5.1-3 armhf [installed,automatic]
libpython3.5-minimal/xenial-updates,xenial-security,now 3.5.2-2ubuntu0~16.04.1 armhf [installed,automatic]
libpython3.5-stdlib/xenial-updates,xenial-security,now 3.5.2-2ubuntu0~16.04.1 armhf [installed,automatic]
libreadline6/xenial,now 6.3-8ubuntu2 armhf [installed]
libroken18-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
librtmp1/xenial,now 2.4+20151223.gitfa8646d-1build1 armhf [installed,automatic]
libsasl2-2/xenial,now 2.1.26.dfsg1-14build1 armhf [installed,automatic]
libsasl2-modules/xenial,now 2.1.26.dfsg1-14build1 armhf [installed,automatic]
libsasl2-modules-db/xenial,now 2.1.26.dfsg1-14build1 armhf [installed,automatic]
libseccomp2/xenial,now 2.2.3-3ubuntu3 armhf [installed]
libselinux1/xenial,now 2.4-3build2 armhf [installed]
libsemanage-common/xenial,now 2.3-1build3 all [installed]
libsemanage1/xenial,now 2.3-1build3 armhf [installed]
libsepol1/xenial,now 2.4-2 armhf [installed]
libslang2/xenial,now 2.3.0-2ubuntu1 armhf [installed,automatic]
libsmartcols1/now 2.27.1-6ubuntu3.1 armhf [installed,upgradable to: 2.27.1-6ubuntu3.2]
libsocket6-perl/xenial,now 0.25-1build2 armhf [installed,automatic]
libsqlite3-0/xenial,now 3.11.0-1ubuntu1 armhf [installed,automatic]
libss2/xenial,now 1.42.13-1ubuntu1 armhf [installed]
libssl1.0.0/now 1.0.2g-1ubuntu4.5 armhf [installed,upgradable to: 1.0.2g-1ubuntu4.6]
libstdc++-5-dev/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libstdc++6/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libsystemd0/now 229-4ubuntu13 armhf [installed,upgradable to: 229-4ubuntu16]
libtasn1-6/xenial-updates,xenial-security,now 4.7-3ubuntu0.16.04.1 armhf [installed,automatic]
libtext-charwidth-perl/xenial,now 0.04-7build5 armhf [installed,automatic]
libtext-iconv-perl/xenial,now 1.7-5build4 armhf [installed,automatic]
libtext-wrapi18n-perl/xenial,now 0.06-7.1 all [installed,automatic]
libtinfo5/xenial,now 6.0+20160213-1ubuntu1 armhf [installed]
libubsan0/xenial-updates,xenial-security,now 5.4.0-6ubuntu1~16.04.4 armhf [installed]
libudev1/now 229-4ubuntu13 armhf [installed,upgradable to: 229-4ubuntu16]
libusb-0.1-4/xenial,now 2:0.1.12-28 armhf [installed]
libustr-1.0-1/xenial,now 1.0.4-5 armhf [installed]
libutempter0/xenial,now 1.1.6-3 armhf [installed,automatic]
libuuid1/now 2.27.1-6ubuntu3.1 armhf [installed,upgradable to: 2.27.1-6ubuntu3.2]
libwind0-heimdal/xenial,now 1.7~git20150920+dfsg-4ubuntu1 armhf [installed,automatic]
libwrap0/xenial,now 7.6.q-25 armhf [installed,automatic]
libx11-6/xenial,now 2:1.6.3-1ubuntu2 armhf [installed,automatic]
libx11-data/xenial,now 2:1.6.3-1ubuntu2 all [installed,automatic]
libxau6/xenial,now 1:1.0.8-1 armhf [installed,automatic]
libxcb1/xenial,now 1.11.1-1ubuntu1 armhf [installed,automatic]
libxdmcp6/xenial,now 1:1.1.2-1.1 armhf [installed,automatic]
libxext6/xenial,now 2:1.3.3-1 armhf [installed,automatic]
libxml2/xenial-updates,xenial-security,now 2.9.3+dfsg1-1ubuntu0.1 armhf [installed,automatic]
libxmuu1/xenial,now 2:1.1.2-2 armhf [installed,automatic]
libxtables11/xenial,now 1.6.0-2ubuntu3 armhf [installed,automatic]
linux-base/xenial,now 4.0ubuntu1 all [installed,automatic]
linux-firmware/now 1.157.6 all [installed,upgradable to: 1.157.8]
linux-image-3.10.96-154/unknown,now 20160713 armhf [installed,automatic]
linux-image-c1/now 154-1 armhf [installed,upgradable to: 185-1]
linux-libc-dev/now 4.4.0-59.80 armhf [installed,upgradable to: 4.4.0-64.85]
locales/xenial-updates,now 2.23-0ubuntu5 all [installed]
login/xenial,now 1:4.2-3.1ubuntu5 armhf [installed]
logrotate/xenial,now 3.8.7-2ubuntu2 armhf [installed,automatic]
lsb-base/xenial-updates,now 9.20160110ubuntu0.2 all [installed]
lsb-release/xenial-updates,now 9.20160110ubuntu0.2 all [installed,automatic]
make/xenial,now 4.1-6 armhf [installed]
makedev/xenial,now 2.3.1-93ubuntu1 all [installed]
man-db/xenial,now 2.7.5-1 armhf [installed]
mawk/xenial,now 1.3.3-17ubuntu2 armhf [installed]
mime-support/xenial,now 3.59ubuntu1 all [installed,automatic]
mount/xenial-updates,now 2.27.1-6ubuntu3.2 armhf [installed]
multiarch-support/xenial-updates,now 2.23-0ubuntu5 armhf [installed]
ncurses-base/xenial,now 6.0+20160213-1ubuntu1 all [installed]
ncurses-bin/xenial,now 6.0+20160213-1ubuntu1 armhf [installed]
ncurses-term/xenial,now 6.0+20160213-1ubuntu1 all [installed,automatic]
net-tools/xenial,now 1.60-26ubuntu1 armhf [installed,automatic]
netbase/xenial,now 5.3 all [installed,automatic]
netcat-openbsd/xenial,now 1.105-7ubuntu1 armhf [installed,automatic]
openssh-client/xenial-updates,xenial-security,now 1:7.2p2-4ubuntu2.1 armhf [installed,automatic]
openssh-server/xenial-updates,xenial-security,now 1:7.2p2-4ubuntu2.1 armhf [installed]
openssh-sftp-server/xenial-updates,xenial-security,now 1:7.2p2-4ubuntu2.1 armhf [installed,automatic]
openssl/now 1.0.2g-1ubuntu4.5 armhf [installed,upgradable to: 1.0.2g-1ubuntu4.6]
passwd/xenial,now 1:4.2-3.1ubuntu5 armhf [installed]
patch/xenial,now 2.7.5-1 armhf [installed]
perl/xenial,now 5.22.1-9 armhf [installed]
perl-base/xenial,now 5.22.1-9 armhf [installed]
perl-modules-5.22/xenial,now 5.22.1-9 all [installed]
postfix/xenial,now 3.1.0-3 armhf [installed]
procps/xenial-updates,now 2:3.3.10-4ubuntu2.3 armhf [installed]
python/xenial,now 2.7.11-1 armhf [installed,automatic]
python-apt-common/xenial,now 1.1.0~beta1build1 all [installed,automatic]
python-minimal/xenial,now 2.7.11-1 armhf [installed,automatic]
python-pkg-resources/xenial,now 20.7.0-1 all [installed,automatic]
python2.7/xenial-updates,xenial-security,now 2.7.12-1ubuntu0~16.04.1 armhf [installed,automatic]
python2.7-minimal/xenial-updates,xenial-security,now 2.7.12-1ubuntu0~16.04.1 armhf [installed,automatic]
python3/xenial,now 3.5.1-3 armhf [installed,automatic]
python3-apt/xenial,now 1.1.0~beta1build1 armhf [installed,automatic]
python3-chardet/xenial,now 2.3.0-2 all [installed,automatic]
python3-dbus/xenial,now 1.2.0-3 armhf [installed,automatic]
python3-gi/xenial,now 3.20.0-0ubuntu1 armhf [installed,automatic]
python3-minimal/xenial,now 3.5.1-3 armhf [installed,automatic]
python3-pkg-resources/xenial,now 20.7.0-1 all [installed,automatic]
python3-pycurl/xenial,now 7.43.0-1ubuntu1 armhf [installed,automatic]
python3-requests/xenial,now 2.9.1-3 all [installed,automatic]
python3-six/xenial,now 1.10.0-3 all [installed,automatic]
python3-software-properties/xenial-updates,now 0.96.20.5 all [installed,automatic]
python3-urllib3/xenial-updates,now 1.13.1-2ubuntu0.16.04.1 all [installed,automatic]
python3.5/xenial-updates,xenial-security,now 3.5.2-2ubuntu0~16.04.1 armhf [installed,automatic]
python3.5-minimal/xenial-updates,xenial-security,now 3.5.2-2ubuntu0~16.04.1 armhf [installed,automatic]
readline-common/xenial,now 6.3-8ubuntu2 all [installed]
resolvconf/xenial,now 1.78ubuntu2 all [installed,automatic]
rsync/xenial,now 3.1.1-3ubuntu1 armhf [installed]
rsyslog/xenial,now 8.16.0-1ubuntu3 armhf [installed,automatic]
sed/xenial,now 4.2.2-7 armhf [installed]
sendemail/xenial,now 1.56-5 all [installed]
sensible-utils/xenial,now 0.0.9 all [installed]
sgml-base/xenial,now 1.26+nmu4ubuntu1 all [installed,automatic]
shared-mime-info/xenial-updates,now 1.5-2ubuntu0.1 armhf [installed,automatic]
software-properties-common/xenial-updates,now 0.96.20.5 all [installed]
speedtest-cli/xenial,now 0.3.4-1 all [installed]
ssh/xenial-updates,xenial-security,now 1:7.2p2-4ubuntu2.1 all [installed]
ssh-import-id/xenial,now 5.5-0ubuntu1 all [installed,automatic]
ssl-cert/xenial,now 1.0.37 all [installed,automatic]
sudo/now 1.8.16-0ubuntu1.2 armhf [installed,upgradable to: 1.8.16-0ubuntu1.3]
systemd/now 229-4ubuntu13 armhf [installed,upgradable to: 229-4ubuntu16]
systemd-sysv/now 229-4ubuntu13 armhf [installed,upgradable to: 229-4ubuntu16]
sysv-rc/xenial,now 2.88dsf-59.3ubuntu2 all [installed]
sysvinit-utils/xenial,now 2.88dsf-59.3ubuntu2 armhf [installed]
tar/xenial-updates,xenial-security,now 1.28-2.1ubuntu0.1 armhf [installed]
tcpd/xenial,now 7.6.q-25 armhf [installed,automatic]
tmux/xenial,now 2.1-3build1 armhf [installed]
tzdata/xenial-updates,xenial-security,now 2016j-0ubuntu0.16.04 all [installed]
u-boot/unknown,now 20160712-e8d530f-17 armhf [installed]
u-boot-tools/now 2016.01+dfsg1-2ubuntu2 armhf [installed,upgradable to: 2016.01+dfsg1-2ubuntu3]
ubuntu-keyring/xenial,now 2012.05.19 all [installed]
ubuntu-minimal/xenial,now 1.361 armhf [installed]
ucf/xenial,now 3.0036 all [installed,automatic]
udev/now 229-4ubuntu13 armhf [installed,upgradable to: 229-4ubuntu16]
unattended-upgrades/now 0.90ubuntu0.2 all [installed,upgradable to: 0.90ubuntu0.3]
ureadahead/xenial,now 0.100.0-19 armhf [installed,automatic]
util-linux/xenial-updates,now 2.27.1-6ubuntu3.2 armhf [installed]
vim-common/xenial-updates,xenial-security,now 2:7.4.1689-3ubuntu1.2 armhf [installed,automatic]
vim-tiny/xenial-updates,xenial-security,now 2:7.4.1689-3ubuntu1.2 armhf [installed,automatic]
wget/xenial-updates,xenial-security,now 1.17.1-1ubuntu1.1 armhf [installed,automatic]
whiptail/xenial,now 0.52.18-1ubuntu2 armhf [installed,automatic]
xauth/xenial,now 1:1.0.9-1ubuntu2 armhf [installed,automatic]
xdg-user-dirs/xenial,now 0.15-2ubuntu6 armhf [installed,automatic]
xkb-data/xenial,now 2.16-1ubuntu1 all [installed,automatic]
xml-core/xenial,now 0.13+nmu2 all [installed,automatic]
xz-utils/xenial,now 5.1.1alpha+20120614-2ubuntu2 armhf [installed]
zlib1g/xenial,now 1:1.2.8.dfsg-2ubuntu4 armhf [installed]

view raw
apt-package-list.txt
hosted with ❤ by GitHub

2 Responses to “Ubuntu: Fixing the myserious “Failed to stop apt-daily.timer: Connection timed out””

  1. S G said

    Were you able to fix this?

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out /  Change )

Google photo

You are commenting using your Google account. Log Out /  Change )

Twitter picture

You are commenting using your Twitter account. Log Out /  Change )

Facebook photo

You are commenting using your Facebook account. Log Out /  Change )

Connecting to %s

This site uses Akismet to reduce spam. Learn how your comment data is processed.

 
%d bloggers like this: